Subject: Re: draft-ietf-mpls-cr-ldp-02.txt

From: Eric Gray <[email-masked]>
Date: Fri, 27 Aug 1999 13:57:47 -0400

Bilel,

	Some comments on the latest version of the
CR-LDP draft.

	In general, there were a lot of gratuitous
changes that made it very difficult to determine the
actual semantic changes.  For example, replacement
of more intuitive references keys (such as [LDP])
with less useful ones (such as [1]), changing the 
indentation of bullets and changing the line-width
used in formatting the document all lend to text 
shifts, etc. that eliminate use of most automated 
comparison tools.  Perhaps you could send a delta
description to the list?

	As a minor general nit, several places where
quotes were used earlier, under-scores are used now.
I do not know if this was intentional or not.  Also 
page headers and footers seem to run together, so it 
is not easy to determine page numbers.

1)  Page 6 (?) - 'CAN' probably should be 'MAY'.

2)  Page 7 - encoding for CR-LDP Label Request message
    includes a second Message ID (apparently, just the
    word 'Return' was deleted rather than the row in
    which it appears).

3)  At the top of page 9 (?), the following statement
    is included -

>    The Notification Message must carry the LSPID TLV of the
>    corresponding CRLSP.

    As I understood it, this requirement was supposed
    to go away (for Label Mapping and Notification
    messages).  This statement is also inconsistent
    with the encoding of the Notification message on
    the same page.

4)  Page 11 - 'ER-Hop' occurs twice in a row in the
    second paragraph of this page.

5)  Page 14, section 4.3.1.5 - next to last paragraph
    - 'never' changed to 'ever' in this sentence.  It
    was correct when it was 'never'.

6)  Page 15, 6th bullet on page - should read "...
    neither Tc nor Te is decremented."

7)  3rd paragraph, section 4.3.2.1 - 'adjust replace'
    should be 'replace'.

8)  The new text added for the 'modify LSP' function
    should explicitly include the text the draft now
    refers to from draft-ash-crlsp-modify-00.txt (on
    page 17?) unless the intent with the other draft
    is to move it forward to a proposed standard as
    well (my understanding is that the intent was to
    include the procedures in CR-LDP and allow the
    other draft to expire, but I may be wrong).

9)  The action flag (defined on page 18?) should have 
    a value assigned to explicitly represent the action
    of initial LSP setup (corresponding to status quo).
    Implicitly, this value is zero.

10) Top of page 22 (?) -

>    Ingress LSR Router ID
>         "An LSR may use any of its own IPv4 addresses in this field"

    The definition probably doesn't need to be quoted.

11) In fairness to the other authors and contributors,
    and in recognition of your role as the EDITOR of
    this draft, I think that it would be correct if you
    were to modify this section to read as follows:

>    Contributors to this work may seek patent or other intellectual 
>    property protection for some or all of the technologies disclosed 
>    in this document. If any standards arising from this document are 
>    or become protected by patents assigned to a contributor, the 
>    contributors are prepared to make a license available under the 
>    reasonable and non-discriminatory terms as specified by the IETF
>    and as recorded by any contributor's statement with regard to use
>    of Intellectual Property in standards to the IESG.  Any such 
>    licenses will be subject to negotiations outside of the IETF.

Otherwise, I feel a little awkward in having contributed to 
this draft - and other should as well.